Subject: bug#28179: Fwd: Re: bug#28179: Fix use of string-to-multibyte in ispell.el

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Aug 2017 19:59:08 +0300

> From: Reuben Thomas <[email-masked]>
> Date: Wed, 23 Aug 2017 11:59:41 +0100
> 
> I now understand the two meanings of "multibyte", but I don't understand
> how my patch is deficient.

I didn't say it was deficient, I asked whether you verified that
either (a) the result is always multibyte, or (b) that we don't need
to worry about it being multibyte if it is pure-ASCII.

> So in fact even when the string isn't copied (as in my patch, where I
> also use a third argument of t to decode-coding-string) it appears to be
> changed to a multibyte string.

Fine, if you are sure, go ahead and push.

Thanks.